<?php

namespace Planaday\Html\NodeTags\Testing\BasicTest;

use Planaday\Html\NodeTags\TemplateOnlyTag;
use Planaday\Html\NodeTags\Tag;
use Planaday\Html\Nodes\NodeData;
use Planaday\Utility\DependencyInjection\Attributes\Transient;

#[Transient]
class BasicTest implements Tag {
	use TemplateOnlyTag {
		TemplateOnlyTag::setNodeData as traitSetNodeData;
	}

	public function setNodeData( NodeData $nodeData ): void {
		$nodeData->data["world"] = 'Successful';
		$nodeData->data["hello"] = ['world' => 'Successful'];
		$this->traitSetNodeData( $nodeData );
	}

	public function getTagDir(): string {
		return __DIR__;
	}
}